using System.Collections.Generic;
using System.Threading.Tasks;

namespace AdamGais.Module.AnmeldeTool.Repository
{
    public interface IAnmeldeToolRepository
    {
        IEnumerable<Models.AnmeldeTool> GetAnmeldeTools(int ModuleId);
        Models.AnmeldeTool GetAnmeldeTool(int AnmeldeToolId);
        Models.AnmeldeTool GetAnmeldeTool(int AnmeldeToolId, bool tracking);
        Models.AnmeldeTool AddAnmeldeTool(Models.AnmeldeTool AnmeldeTool);
        Models.AnmeldeTool UpdateAnmeldeTool(Models.AnmeldeTool AnmeldeTool);
        void DeleteAnmeldeTool(int AnmeldeToolId);
    }
}
