using Microsoft.AspNetCore.Builder; 
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.DependencyInjection;
using Oqtane.Infrastructure;
using AdamGais.Module.AnmeldeTool.Repository;
using AdamGais.Module.AnmeldeTool.Services;

namespace AdamGais.Module.AnmeldeTool.Startup
{
    public class ServerStartup : IServerStartup
    {
        public void Configure(IApplicationBuilder app, IWebHostEnvironment env)
        {
            // not implemented
        }

        public void ConfigureMvc(IMvcBuilder mvcBuilder)
        {
            // not implemented
        }

        public void ConfigureServices(IServiceCollection services)
        {
            services.AddTransient<IAnmeldeToolService, ServerAnmeldeToolService>();
            services.AddDbContextFactory<AnmeldeToolContext>(opt => { }, ServiceLifetime.Transient);
        }
    }
}
