using System.Collections.Generic;
using System.Threading.Tasks;

namespace AdamGais.Module.AnmeldeTool.Services
{
    public interface IAnmeldeToolService 
    {
        Task<List<Models.AnmeldeTool>> GetAnmeldeToolsAsync(int ModuleId);

        Task<Models.AnmeldeTool> GetAnmeldeToolAsync(int AnmeldeToolId, int ModuleId);

        Task<Models.AnmeldeTool> AddAnmeldeToolAsync(Models.AnmeldeTool AnmeldeTool);

        Task<Models.AnmeldeTool> UpdateAnmeldeToolAsync(Models.AnmeldeTool AnmeldeTool);

        Task DeleteAnmeldeToolAsync(int AnmeldeToolId, int ModuleId);
    }
}
