using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Oqtane.Databases.Interfaces;
using Oqtane.Migrations;
using AdamGais.Module.AnmeldeTool.Migrations.EntityBuilders;
using AdamGais.Module.AnmeldeTool.Repository;

namespace AdamGais.Module.AnmeldeTool.Migrations
{
    [DbContext(typeof(AnmeldeToolContext))]
    [Migration("AdamGais.Module.AnmeldeTool.01.00.00.00")]
    public class InitializeModule : MultiDatabaseMigration
    {
        public InitializeModule(IDatabase database) : base(database)
        {
        }

        protected override void Up(MigrationBuilder migrationBuilder)
        {
            var entityBuilder = new AnmeldeToolEntityBuilder(migrationBuilder, ActiveDatabase);
            entityBuilder.Create();
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            var entityBuilder = new AnmeldeToolEntityBuilder(migrationBuilder, ActiveDatabase);
            entityBuilder.Drop();
        }
    }
}
