using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Oqtane.Models;

namespace AdamGais.Module.AnmeldeTool.Models
{
    [Table("AdamGaisAnmeldeTool")]
    public class AnmeldeTool : IAuditable
    {
        [Key]
        public int AnmeldeToolId { get; set; }
        public int ModuleId { get; set; }
        public string Name { get; set; }

        public string CreatedBy { get; set; }
        public DateTime CreatedOn { get; set; }
        public string ModifiedBy { get; set; }
        public DateTime ModifiedOn { get; set; }
    }
}
